<?php
/******************************************************************************
Site Building System "Web-Pro"
Copyright (C) 2003 - 2006 Richter.
See "index.php" in root of project for detailed information

Library for web-administrators
******************************************************************************/

@include 'ardzon/lib.php';

// Return header block of filter
function get_filter_header($filter_id)
{
  global $mobj;
  return '
	<script src="'._MOBJ_MODULES_FOLDER_.'u0/common.js" type="text/javascript"></script>

	<div class="filter">
	<div class="header">
		<div class="title"><b>'._LNG_U00_FILTER_.'</b></div>
		<div id="'.$filter_id.'_b_open" class="arrow"><a href="javascript:showFilter(\''.$filter_id.'\')" title="'._LNG_U00_SHOW_.'"><img src="'._MOBJ_THEMES_FOLDER_.$mobj->decor_folder.'pics/filter_open.gif" alt="" /></a></div>
		<div id="'.$filter_id.'_b_close" class="arrow"><a href="javascript:showFilter(\''.$filter_id.'\')" title="'._LNG_U00_HIDE_.'"><img src="'._MOBJ_THEMES_FOLDER_.$mobj->decor_folder.'pics/filter_close.gif" alt="" /></a></div>
	</div>
	<div id="'.$filter_id.'" class="body">

	<script language="javascript" type="text/javascript">
          if (getCookie("'.$filter_id.'") == "block") {
            document.getElementById("'.$filter_id.'").style.display = "block";
            document.getElementById("'.$filter_id.'_b_open").style.display = "none";
            document.getElementById("'.$filter_id.'_b_close").style.display = "block";
          } else {
            document.getElementById("'.$filter_id.'").style.display = "none";
            document.getElementById("'.$filter_id.'_b_open").style.display = "block";
            document.getElementById("'.$filter_id.'_b_close").style.display = "none";
          }
	</script>
  ';
}

// Return block for sorting
function get_sort_block($sort_expression, $template, $order)
{
  global $mobj;
  return str_replace('[ORDER]', $sort_expression, $template).'<img src="'._MOBJ_THEMES_FOLDER_.$mobj->decor_folder.'pics/sort_up'.($sort_expression==$order?'_act':'').'.gif" border="0" alt="" /></a>
'.str_replace('[ORDER]', $sort_expression.' desc', $template).'<img src="'._MOBJ_THEMES_FOLDER_.$mobj->decor_folder.'pics/sort_down'.($sort_expression.' desc'==$order?'_act':'').'.gif" border="0" alt="" /></a>';
}
?>