<?php // Native SBS WP decoration for Control Panel

if (!is_object($u0_help)) {
  include_once _MOBJ_MODULES_FOLDER_.'u0/lib_help_system.php';
  $u0_help = new Help_System(_MOBJ_MODULES_FOLDER_.'u0/cp/help_config.php');
}

switch ($mmm) {
  case 'u0/cp/lng_editor': $help_id = 'multi-lingual'; break;
  case 'u0/cp/error_log_viewer': $help_id = 'error_analysis'; break;
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=windows-1251" />
	<title>SBS WP - Site Building System "Web-Pro"</title>
	<meta name="Keywords" content="<?= $mobj->keywords ?>" />
	<link href="<?= _MOBJ_THEMES_FOLDER_.$mobj->decor_folder ?>main.css" rel="STYLESHEET" type="text/css" />
	<link rel="shortcut icon" href="<?= _MOBJ_THEMES_FOLDER_.$mobj->decor_folder ?>pics/favicon.ico" />

	<script src="<?= _MOBJ_MODULES_FOLDER_ ?>u0/common.js" type="text/javascript"></script>
	<script src="<?= _MOBJ_THEMES_FOLDER_ ?>sbs_wp/main.js" type="text/javascript"></script>
</head>

<body>

<div id="sbswp_title">
	<div class="sbswp_title">
	<a href="<?= _MOBJ_I_ ?>?mmm=u0/cp/index" title="<?= _LNG_U00_M2_ ?>"><?= _LNG_U00_CP_ ?> "<?= _MOBJ_PRJ_NAME_ ?>"</a>
	</div>
</div>
<div id="sbswp_logo">
	<a href="http://sbs.wpdom.com" target="_blank"><img src="<?= _MOBJ_THEMES_FOLDER_.$mobj->decor_folder ?>pics/logo_sbs_wp.gif" alt="Logo of Site Building System &quot;Web-Pro&quot;" /></a>
	<br />
	Site Building System "Web-Pro"
</div>

<div id="sbswp_div2" class="menu1">
	<?= _LNG_U00_USER_ ?>: <b><?= $pers_set[login] ?></b>

<?php
if ($pers_set[ug] != '') echo _LNG_U00_GROUP_.': <b>'.$pers_set[ug].'</b>';
?>

</div>
<div id="sbswp_div3">
	<form name="lng_change_form" action="<?= _MOBJ_I_ ?>">
	<input type="hidden" name="mmm" value="u0/cp/tools">
	<input type="hidden" name="qs" value="<?= urlencode(preg_replace("/new_lng=(.*?)&/", '', $QUERY_STRING)) ?>">
	<select name="lng_change" onchange="javascript:lng_change_form.submit()">

<?php
$languages = get_lang_codes('0');
foreach ($languages as $val) echo '<option value="'.$val.'"'.($pers_set[lng]==$val?' selected="selected"':'').'>'.$val.'</option>';
?>

	</select>
	</form>
</div>
<div id="sbswp_div1" class="menu1">
	<a href="<?= _MOBJ_I_ ?>" target="_blank"><?= _LNG_U00_M1_ ?></a>

<?php
if ($pers_set[login] == 'guest') echo '
	 | <a href="'._MOBJ_I_.'?mmm=u0/cp/index">'._LNG_U00_M3_.'</a>
  ';
else echo '
	 | <a href="'._MOBJ_I_.'?mmm=u0/cp/index&sbs_logout=1">'._LNG_U00_LOGOUT_.'</a>
  ';
?>

	 | <a href="<?= _MOBJ_I_ ?>?mmm=u0/cp/help/index" target="_blank"><?= _LNG_U00_M4_ ?></a>
</div>

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
<td valign=top id="side_bar_handle">
	<a href="javascript:side_bar_control()">
	<img src="<?= _MOBJ_THEMES_FOLDER_ ?>sbs_wp/pics/1.gif" alt="" width="5" height="300" />
	</a>
</td>
<td id="side_bar_td">

<div id="side_bar">

<?php
// Menu
@include_once _MOBJ_MODULES_FOLDER_.'menu.inc.php';
for ($I=0;$I<=99;$I++) {
  load_lng("u$I/");
  @include_once _MOBJ_MODULES_FOLDER_.'u'.$I.'/menu.inc.php';
}
@ksort($menu_tree[0]);
@ksort($menu_tree[1]);
@ksort($menu_tree[2]);
?>

	<div id="menu2">

<?php
if (is_array($menu_tree[0])) {
  echo '<h2>'._LNG_U00_MENU1_H1_.'</h2>';
  foreach ($menu_tree[0] as $val) echo $val;
}
?>

		<h2><?= _LNG_U00_MENU1_H2_ ?></h2>

<?php
foreach ($menu_tree[1] as $val) echo $val;
?>

		<h2><?= _LNG_U00_MENU1_H3_ ?></h2>

<?php
foreach ($menu_tree[2] as $val) echo $val;
?>

	</div>
</div>

</td>
<td valign=top style="width:100%;background-color:#FFFFFF">
	<div id="content">
		<h1><?= $h1 ?></h1>
		<?= $mobj->out ?>
	</div>
</td>
</tr>
</table>

<script type="text/javascript">
if (getCookie('sbs_wp_side_bar') == 'none') 
  document.getElementById('side_bar').style.display = 'none';
</script>

<div id="sbswp_footer1" class="footer">
	<?= _LNG_U00_POWERED_ ?> <a href="http://sbs.wpdom.com" target="_blank">Site Building System "Web-Pro"</a>
</div>
<div id="sbswp_footer2" class="footer">
	SBS WP &#169; 2003 - 2006 <a href="http://wpdom.com" target="_blank">Richter</a>
</div>

</body>
</html>